Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SelectQuery.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Database;
8
15 interface SelectQuery extends Query
16 {
17 const ASC = 'ASC';
18 const DESC = 'DESC';
19
53 public function select();
54
73 public function alias($name, $alias);
74
113 public function selectDistinct();
114
137 public function from();
138
190 public function innerJoin();
191
243 public function leftJoin();
244
296 public function rightJoin();
297
320 public function where();
321
344 public function limit($limit, $offset = '');
345
364 public function orderBy($column, $type = self::ASC);
365
384 public function groupBy();
385
406 public function having();
407 }
eZ\Publish\Core\Persistence\Database\Query
Definition: Core/Persistence/Database/Query.php:18
eZ\Publish\Core\Persistence\Database\SelectQuery
Definition: SelectQuery.php:16
eZ\Publish\Core\Persistence\Database\SelectQuery\rightJoin
rightJoin()
Returns the SQL for a right join or prepares $fromString for a right join.
eZ\Publish\Core\Persistence\Database\SelectQuery\where
where()
Adds a where clause with logical expressions to the query.
eZ\Publish\Core\Persistence\Database\SelectQuery\groupBy
groupBy()
Returns SQL that groups the result set by a given column.
eZ\Publish\Core\Persistence\Database\SelectQuery\DESC
const DESC
Definition: SelectQuery.php:18
eZ\Publish\Core\Persistence\Database\SelectQuery\from
from()
Select which tables you want to select from.
eZ\Publish\Core\Persistence\Database\SelectQuery\ASC
const ASC
Definition: SelectQuery.php:17
eZ\Publish\Core\Persistence\Database\SelectQuery\orderBy
orderBy($column, $type=self::ASC)
Returns SQL that orders the result set by a given column.
eZ\Publish\Core\Persistence\Database\SelectQuery\limit
limit($limit, $offset='')
Returns SQL that limits the result set.
eZ\Publish\Core\Persistence\Database\SelectQuery\leftJoin
leftJoin()
Returns the SQL for a left join or prepares $fromString for a left join.
eZ\Publish\Core\Persistence\Database\SelectQuery\alias
alias($name, $alias)
Returns SQL to create an alias.
eZ\Publish\Core\Persistence\Database\SelectQuery\select
select()
Opens the query and selects which columns you want to return with the query.
eZ\Publish\Core\Persistence\Database\SelectQuery\having
having()
Returns SQL that set having by a given expression.
eZ\Publish\Core\Persistence\Database\SelectQuery\selectDistinct
selectDistinct()
Opens the query and uses a distinct select on the columns you want to return with the query.
eZ\Publish\Core\Persistence\Database\SelectQuery\innerJoin
innerJoin()
Returns the SQL for an inner join or prepares $fromString for an inner join.
eZ\Publish\Core\Persistence\Database
Definition: DatabaseHandler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.